Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util
Class TreeMap.Entry

    java.lang.Object
      edu.emory.mathcs.backport.java.util.TreeMap.Entry

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map.Entry, java.io.Serializable

Enclosing class:
  TreeMap

public static class TreeMap.Entry
extends java.lang.Object
implements java.util.Map.Entry, java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TreeMap.Entry(java.lang.Object key, java.lang.Object element)` Make a new node with given element, null links, and BLACK color.

Method Summary
`protected java.lang.Object` | `clone()` Return a new Entry with same element and color as self, but with null links.
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getKey()`
`java.lang.Object` | `getValue()` return the element value
`int` | `hashCode()`
`java.lang.Object` | `setValue(java.lang.Object v)` set the element value
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeMap.Entry

    public TreeMap.Entry(java.lang.Object key,
                         java.lang.Object element)

  Make a new node with given element, null links, and BLACK color. Normally only called to establish a new root.

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Return a new Entry with same element and color as self, but with null links. (Since it is never OK to have multiple identical links in a RB tree.)

  Throws:
    `java.lang.CloneNotSupportedException`

### getKey

    public final java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`

### getValue

    public final java.lang.Object getValue()

  return the element value

  Specified by:
    `getValue` in interface `java.util.Map.Entry`

### setValue

    public final java.lang.Object setValue(java.lang.Object v)

  set the element value

  Specified by:
    `setValue` in interface `java.util.Map.Entry`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Map.Entry`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map.Entry`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD